# Exports

## Client

### openMenu()

Opens the lobbymenu.

***

### hasCooldown()

Checks if there is an active cooldown.

<mark style="color:green;">**Returns:**</mark>\
`true/false` - True or False

<mark style="color:orange;">**Example:**</mark>

```lua
local cooldown = exports.zrx_lobby:hasCooldown()

if cooldown then
    print('yes')
else
    print('no')
end
```

***

### getConfig()

Returns the config.

<mark style="color:green;">**Returns:**</mark>\
`table` - Returns the config

<mark style="color:orange;">**Example:**</mark>

```lua
local config = exports.zrx_lobby:getConfig()

print(json.encode(config, { indent = true })
```

***

## Server

### hasCooldown(player)

Checks if a player has an active cooldown.

<mark style="color:blue;">**Parameters:**</mark>\
**player** - `number` - The player server id

<mark style="color:green;">**Returns:**</mark>\
`false/number` - Number is the os.time() timestamp

<mark style="color:orange;">**Example:**</mark>

```lua
local cooldown = exports.zrx_lobby:hasCooldown(1)

if cooldown then
    print('yes')
else
    print('no')
end
```

***

### getConfig()

Returns the config.

<mark style="color:green;">**Returns:**</mark>\
`table` - Returns the config

<mark style="color:orange;">**Example:**</mark>

```lua
local config = exports.zrx_lobby:getConfig()

print(json.encode(config, { indent = true })
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zrxnx.at/zrxnx-scripts/scripts/zrx_lobby/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
